struct hrtimer_sleeper
Prev | High-resolution timers | Next

## Name

struct hrtimer_sleeper — simple sleeper structure

## Synopsis

    struct hrtimer_sleeper {
      struct hrtimer timer;
      struct task_struct * task;
    };

## Members

timer

  embedded timer structure

task

  task to wake up

## Description

task is set to NULL, when the timer expires.

Prev | Up | Next
struct hrtimer | Home | struct hrtimer_clock_base